INTERFACE
SUBROUTINE DISFOU(KNMAX,KDGLL,KDGLG,KDGLMX,KNUMF,KIND,&
 & KMTAGDISTFO,KNUM,KIOPROC,KDIM,PFO) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KNMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KDGLL
INTEGER(KIND=JPIM),INTENT(IN) :: KDGLG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGLMX
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMF
INTEGER(KIND=JPIM),INTENT(IN) :: KIND
INTEGER(KIND=JPIM),INTENT(IN) :: KMTAGDISTFO
INTEGER(KIND=JPIM),INTENT(IN) :: KNUM
INTEGER(KIND=JPIM),INTENT(IN) :: KIOPROC
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFO(KDIM)
END SUBROUTINE DISFOU
END INTERFACE
